API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/work-planning/reject-week

POST/v1/work-planning/reject-week

Reject a week of submitted work schedule entries (team leader). Accepts employeeId (ADR 0123, kanonisch) ODER userId (Legacy).

Request Body

NameTypBeschreibung
userIdstringEmployee user ID whose week to reject
employeeIdstringemployee_profile._id (bevorzugt)
weekStarterforderlichstring<date>
reasonerforderlichstringMandatory rejection reason shown to the employee

Beispiel

curl -X POST https://api.codemeta-os.de/v1/work-planning/reject-week \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "userId": "string",
  "employeeId": "string",
  "weekStart": "string",
  "reason": "string"
}'
const result = await cm.work-planning.post({
  "userId": "string",
  "employeeId": "string",
  "weekStart": "string",
  "reason": "string"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche